package ch.zhaw.pm2.racetrack.strategy;

import ch.zhaw.pm2.racetrack.PositionVector;

import static ch.zhaw.pm2.racetrack.PositionVector.Direction;

/**
 * This Class represents the DoNotMoveStrategy.
 */
public class DoNotMoveStrategy implements MoveStrategy {

    /**
     * This method will be used to return the next Direction for the car.
     *
     * @return a NONE Direction
     */
    @Override
    public Direction nextMove() {
        return PositionVector.Direction.NONE;
    }
}
